## org.ascape.query.parser
Class QTCriteria

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteria

All Implemented Interfaces:
  Node, Validated

    public class QTCriteria

extends SimpleNode
implements Validated

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTCriteria(BoolExprTree p, int id)`
`QTCriteria(int id)`

Method Summary
`boolean` `evaluate(java.lang.Object object)`
`QTOperator` `getOperator()`
`QTProperty` `getProperty()`
`QTValue` `getValue()`
`void` `validate(java.lang.Object object)`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTCriteria

    public QTCriteria(int id)

### QTCriteria

    public QTCriteria(BoolExprTree p,
                      int id)

Method Detail

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Specified by:
    `validate` in interface `Validated`
  Throws:
    `ParseException`

### getProperty

    public QTProperty getProperty()

### getOperator

    public QTOperator getOperator()

### getValue

    public QTValue getValue()

### evaluate

    public boolean evaluate(java.lang.Object object)